雷竞技raybet下载安装扳手雷竞技 结算快吗

先决条件

雷竞技 结算快吗扳手在c++。代码遵循c++ 11标准,因此旧的编译器可能无法编译它。因此,我们强烈建议用户满足以下要求:

  • CMake- 3.5或更高版本

下面是其中之一:

  • g + +- 5.4或更高版本
  • 铿锵声- 3.8或更高版本

所需的依赖项

(如果在安装依赖项时遇到困难,请参阅下面的故障排除部分)雷竞技raybet下载

可选依赖关系

  • 谷歌测试- 1.8或更高版本(仅运行测试所需)
  • Doxygen- 1.8或更高版本(仅在生成文档时需要)raybet雷竞app
  • 类等-仅需要对生产批调度程序管理的计算资源进行真实模拟

源安装雷竞技raybet下载

建筑扳手雷竞技 结算快吗

你可以下载@雷竞技 结算快吗WRENCHRelease.tar.gz存档的GitHub版本页面。一旦你安装了依赖项(如上所述雷竞技raybet下载),你就可以按照如下方式安装扳手:雷竞技 结算快吗

tar xf 雷竞技 结算快吗wrench-1.8.tar.gz
cd扳雷竞技 结算快吗手- 1.8
cmake。
使
如果你没有雷竞技raybet下载写权限,请尝试“sudo Make install”

如果你想看到实际的编译器和链接器调用,在编译命令中添加VERBOSE=1:

使VERBOSE = 1

要启用Batsched(如果你已经安装了该包,请参阅上文):雷竞技raybet下载

cmake -DENABLE_BATSCHED =。

如果你想要保持最新的git版本,你应该获得最新的git版本,并重新编译它,就像你在官方存档文件中所做的那样:

git克隆https://github.com/wrenc雷竞技 结算快吗h-project/wrench

编译和运行单元测试

构建和运行需要谷歌测试的单元测试是这样完成的:

使unit_test
。/ unit_test

雷竞技raybet下载安装故障排除

无法找到PkgConfig(缺少:PKG_CONFIG_EXECUTABLE)

  • 这个错误在MacOS上是因为pkg-config软件包未安装雷竞技raybet下载
  • 解决方法:安装此包雷竞技raybet下载
    • MacPorts:Sudo端口安装pk雷竞技raybet下载g-config
    • 酿造:Sudo brew安雷竞技raybet下载装pkg-config

在构建SimGrid依赖项时找不到libgfortran

  • 这是MacOS上有时会出现的错误
  • 一个快速的解决方案是在配置SimGrid时禁用SMPI特性:cmake -Denable_smpi =。

码头工人的容器

雷竞技 结算快吗扳手也分布在Docker容器中。请访问雷竞技 结算快吗Docker Hub上的扳手仓库来拉出扳手的Do雷竞技 结算快吗cker图像。

最新的标签为容器提供了最新的雷竞技 结算快吗扳手释放:

码头工人拉wrenchp雷竞技 结算快吗roject /扳手
#或
Docker运行——rm -it扳手项目雷竞技 结算快吗/扳手/bin/bash

不稳定标签提供了一个容器与GitHub的当前代码分支机构:

码头工人拉wrenchp雷竞技 结算快吗roject /扳手:不稳定
#或
运行——rm -it扳手工程/扳手:不稳雷竞技 结算快吗定/bin/bash

所有的扳手版本都有附加的标签。雷竞技 结算快吗